<div>
    {promotion}{groupe}{groupe_detail}{etablissement}{formation}{annee}
    
<form id="instg">
            <div class="col-sm-12">
                <hr/>
                <div class="dis" style="display: none;">

                    <span >
                        <label class="pull-left inline">
                            <small class="muted"><strong>Tout selectionner :</strong></small>

                            <input type="checkbox" class="ace ace-switch ace-switch-5" id="cat" title="Tout selectionner" /><!--<label></label>-->
                            <span class="lbl middle"></span>
                        </label>
                    </span>








                </div><br/><br/>
                <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">

                    <thead>
                        <tr>
                            <th>#</th>
                            <th>code</th>
                            <th>Nom</th>
                            <th>Prénom</th>
                            <th>CIN</th>
                            <th>Etablissement</th>
                            <th>Formation</th>
                            <th>Promotion</th>
                            <th>Année</th>
                            <th>Statut</th>


                        </tr>
                    </thead>
                </table>


            </div>
   </form>
</div>
<script>
    /*  $('.bs').click(function (e) {
     //alert('rr');
     var i = 0;
     var c= $( "#group option:selected" ).val();
     var arr = [];
     $('.ads_Checkbox:checked').each(function(){
     arr[i++] = $(this).val();
     });
     arr[i++] =$( "#group option:selected" ).val();
     $.each({ arr}, function( k, v ) {
     alert( "Key: " + k + ", Value: " + v +"select : "+c );
     })
     
     
     
     
     $.ajax({
     type: 'GET',
     url: Routing.generate('etu_group',{table:arr}), 
     //data: arr,
     success: function (result) {
     $('.message_flash_success').html(result);
     
     }
     });
     
     // alert(arr);
     
     
     
     
     //e.preventDefault();
     });*/



    $('#group').submit(function (e) {

        //  alert('hello');

        var dta = new FormData(this);
        $(".message_flash_success1").hide();
        $(".message_flash_success2").hide();
        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
        //alert(dta);
        if (dta) {
            $.ajax({
                type: 'POST',
                url: "{{ path('etu_group') }}",
                data: dta,
                processData: false,
                contentType: false,
                success: function (result) {
                    var parsed = jQuery.parseJSON(result);
                     $(".message_flash_error").hide();
                     $(".message_flash_info").hide();
                    $(".message_flash_success").show().html("<i class='ace-icon fa fa-check'></i> "+parsed.data);
                    setTimeout(function () {
                        $('.message_flash_success').fadeOut();
                        location.reload();
                    }, 2000);
                }
            });
        }

        e.preventDefault();

    });


</script>
